/* 
* Rootfly:  A program for analyzing and measuring roots. 
* Copyright (c) 2005 Clemson University.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
* 
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#if !defined(AFX_MMCONVERSION_H__10C69005_B714_4D34_8999_52591EDEA646__INCLUDED_)
#define AFX_MMCONVERSION_H__10C69005_B714_4D34_8999_52591EDEA646__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// mmConversion.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// mmConversion dialog

class mmConversion : public CDialog
{
// Construction
public:
   mmConversion(float conv_val, CWnd* pParent = NULL);   // standard constructor
   float GetConversion(void) {return m_conversion_value;}

// Dialog Data
	//{{AFX_DATA(mmConversion)
	enum { IDD = IDD_MM_CONVERSION_DIALOG };
	CEdit	m_value;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(mmConversion)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   float m_conversion_value;

	// Generated message map functions
	//{{AFX_MSG(mmConversion)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MMCONVERSION_H__10C69005_B714_4D34_8999_52591EDEA646__INCLUDED_)
